Bug 165995

Summary: WebAssembly: constructors without new don't throw
Product: WebKit Reporter: JF Bastien <jfbastien>
Component: JavaScriptCoreAssignee: JF Bastien <jfbastien>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, fpizlo, jfbastien, keith_miller, mark.lam, msaboff, sbarati
Priority: P2    
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 161709    
Attachments:
Description Flags
patch none

Description JF Bastien 2016-12-17 07:43:31 PST
As discussed here: https://github.com/WebAssembly/design/issues/825#issuecomment-254917715
Our currently do.
Comment 1 JF Bastien 2017-03-21 01:56:01 PDT
To be clear: this is only for the WebAssembly.{Compile/Runtime/Link}Error types. Other WebAssembly constructors say "this constructor cannot be called as a function without new".
Comment 2 JF Bastien 2017-03-22 01:22:11 PDT
Created attachment 305084 [details]
patch
Comment 3 Saam Barati 2017-03-22 08:11:32 PDT
Comment on attachment 305084 [details]
patch

r=me
Comment 4 WebKit Commit Bot 2017-03-22 10:52:59 PDT
Comment on attachment 305084 [details]
patch

Clearing flags on attachment: 305084

Committed r214259: <http://trac.webkit.org/changeset/214259>
Comment 5 WebKit Commit Bot 2017-03-22 10:53:02 PDT
All reviewed patches have been landed.  Closing bug.